Ticket #34933

日本語入力で変換前文字のキャレット移動が「空行」と通知される

Open Date: 2015-02-26 23:07 Last Update: 2015-06-03 21:50

Reporter: nishimoto Owner: (None)
Type: Support Request Status: Closed
Component: IME MileStone: 2015.2jp (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Accepted

Details

ATOK 2015 でのキャレットの動きについて個人的に問い合わせをいただいています。

こちらではまだ詳細を確認していないのですが、なにかお気づきのことがあればお知らせください。

Attachment File List

No attachments

Ticket History (3/8 Histories)

2015-02-26 23:07 Updated by: nishimoto
  • New Ticket "ATOK 2015 への対応状況" created
2015-03-01 07:48 Updated by: nishimoto
  • Milestone Update from (None) to 2015.2jp (closed)
  • Resolution Update from None to Accepted
  • Summary Updated
Comment

概要を「ATOK 2015 への対応状況」から変更しました。

ATOK 2015 に限らず、Microsoft Office IME などでも同じ現象が起きているようです。

セットアップ

  • Windows 7 32ビット + ATOK 2015 または Microsoft Office IME 2010
  • アプリはメモ帳でも何でも同じ
  • NVDA は 2013.3jp, 2014.1jp, 2014.2jp で正常。2014.3jp, 2014.4jp, 2015.1jp で不具合あり。

再現手順

  • メモ帳を起動
  • 半角全角キーを押して「文字変換」にする
  • ローマ字で「はいりそうです」と入力して、スペース(変換)を押す前の状態にする
  • 左矢印キーで1文字ずつ戻っていく

期待される動作

  • す、で、う のように1文字ずつ文字を確認できる

実際の挙動

  • 空行、空行、と通知される
2015-03-01 08:03 Updated by: nishimoto
Comment

2014.3jp は日本語 IME に関する作業を行っており、これらの変更の影響と思われます。

以下、関連がありそうなチケット

チケット #31358 日本語入力(TSF)で文節ごとの候補の読み上げ

https://sourceforge.jp/ticket/browse.php?tid=31358&group_id=4221

チケット #34110 複数文節の日本語変換をした直後にすべての文節を通知する仕様の検討

https://sourceforge.jp/ticket/browse.php?group_id=4221&tid=34110

チケット #34120 Firefox や Excel で日本語入力のプリエディット文字が不正確に通知される

https://sourceforge.jp/ticket/browse.php?group_id=4221&tid=34120

2015-03-01 08:29 Updated by: nishimoto
  • Summary Updated
Comment

日本語版 2015.1jp だと「日本語版の文字入力拡張」が無効でも「空行」問題が起きる。

本家版 2015.1 と ATOK2015 の組み合わせでは「空行」にならず、変換前文字が通知される。

2015-03-02 19:46 Updated by: nishimoto
Comment

修正作業

[jpbeta 6682ae8] fixes ti34933 announce caret movement of IME pre-edit string (before translation)
 1 file changed, 15 insertions(+), 3 deletions(-)

本件は、少なくとも 2015.2jp での修正として、日本語版の既存の実装をメンテナンスします。

ですが、そろそろ本家版をベースに実装をやり直した方がよさそう。。

関連チケット #28859 本家inputMethods実装の日本語対応

2015-03-16 10:08 Updated by: nishimoto
Comment

いただいた報告:

「あいうえお」と打って、
変換前に左矢印キーで移動した場合、
最初の「お」だけは読まない。

あとは一文字ずつ読む。
右矢印キーで戻った時は、「お」も読んでいる。
2015-03-19 21:44 Updated by: nishimoto
Comment

「あいうえお」の後で左矢印を押したときの「お」が通知されない問題を修正。

To git@github.com:nvdajp/nvdajp.git
   0490239..73ff99d  jpbeta -> jpbeta

メモ:本家の inputComposition.py reportNewText() までイベントは送られているが、 「あいうえお」に「お」が含まれていて newText として判定されない。 そこで forceNewText というオプションをこのメソッドに追加して特別扱いしている。

2015-06-03 21:50 Updated by: nishimoto
  • Ticket Close date is changed to 2015-06-03 21:50
  • Status Update from Open to Closed

Edit

Please login to add comment to this ticket » Login